/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProductSaleMgmt.Product;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype description */
public class ProductAgreementDesc {
    public BigDecimal calcAvgPriceDiscountAgreement() {
        return new BigDecimal(0);
    }

    public BigDecimal calcAvgPercentageDiscountAgreement() {
        return new BigDecimal(0);
    }

    public BigDecimal calcAvgCommissionAgreement() {
        return new BigDecimal(0);
    }

    public Vector listDiscountAgreements() {
        return new Vector();
    }

    public Vector listCommissionAgreements() {
        return new Vector();
    }

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private ProductSaleMgmt.ProductAgreement.CommissionAgreementDetail lnkUnnamed1;
}


